using MessagePack;
#if GameClient
using GameFramework;
#endif

namespace GameMessage
{
    [Message(MessageCode.SearchPlayerInfoRequest)]
    [MessagePackObject]
    public class SearchPlayerInfoRequest : MessageData
    {
        /// <summary>
        /// 要搜索的userid
        /// </summary>
        [Key(0)] public int SearchUserId;
        
        #if GameClient
        public static SearchPlayerInfoRequest Create(int searchUserId)
        {
            SearchPlayerInfoRequest request = ReferencePool.Acquire<SearchPlayerInfoRequest>();
            request.SearchUserId = searchUserId;
            return request;
        }
        #endif
    }

    [Message(MessageCode.SearchPlayerInfoResponse)]
    [MessagePackObject]
    public class SearchPlayerInfoResponse : MessageData {
        /// <summary>
        /// 用户信息的Json字符串
        /// </summary>
        [Key(0)] public string PlayJsonData;
    }
}
